package com.ruoyi.system.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.system.domain.FoodSpecRelation;

/**
 * 商品-规格关联 Service 接口
 *
 * @author ruoyi
 * @date 2026-07-15
 */
public interface IFoodSpecRelationService extends IService<FoodSpecRelation>
{
    /** 查询商品-规格关联 */
    public FoodSpecRelation selectFoodSpecRelationById(Long id);

    /** 查询商品-规格关联列表 */
    public List<FoodSpecRelation> selectFoodSpecRelationList(FoodSpecRelation foodSpecRelation);

    /** 新增商品-规格关联 */
    public int insertFoodSpecRelation(FoodSpecRelation foodSpecRelation);

    /** 修改商品-规格关联 */
    public int updateFoodSpecRelation(FoodSpecRelation foodSpecRelation);

    /** 批量删除商品-规格关联 */
    public int deleteFoodSpecRelationByIds(Long[] ids);

    /** 删除商品-规格关联 */
    public int deleteFoodSpecRelationById(Long id);
}
